Skip to main content
GET
/
v0
/
business
/
{business_id}
/
ledger
/
{ledger_id}
Retrieve a Ledger
curl --request GET \
  --url https://api.sandbox.getasset.com/v0/business/{business_id}/ledger/{ledger_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "name": "<string>",
    "type": "asset",
    "subtype": "current_asset",
    "debit_credit": "debit",
    "report_cash_flow": true,
    "id": "<string>",
    "business_id": "<string>",
    "description": "Business checking account",
    "financial_account_type": "bank_account",
    "sort_code": "1010",
    "parent_id": "ldg_KtY7p9fsM4pB58SYNar7cv"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getasset.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

business_id
string<biz_string>
required

The id of the business

Example:

"biz_GA6EG2qFxA97NZHtxeLPUy"

ledger_id
string<ldg_string>
required

The id of the ledger

Example:

"ldg_WQMDNUHpBThYSNh4AprDBo"

Response

Successful Response

data
LedgerPublic · object
required